#!/bin/bash

type=0
row=1
onl="View_Event()"

if [ "$QUERY_STRING" != "" ]; then
	tmp=${QUERY_STRING%"&"*}
	cmd=${tmp%"="*}
	if [ "$cmd" = "type" ]; then
		type=${tmp#*"="}
	fi
	
	tmp=${QUERY_STRING#*"&"}
	cmd=${tmp%"="*}
	if [ "$cmd" = "var" ]; then
		row=${tmp#*"="}
	fi
	if [ "$cmd" = "rvar" ]; then
		row=${tmp#*"="}
		onl="$onl; top.opener.document.location.reload()"
	fi
fi

if [ "$REQUEST_METHOD" = "POST" ]; then
	read QUERY_STRING
	REQUEST_METHOD=GET
	export REQUEST_METHOD
	export QUERY_STRING
fi

case $type in
	0) export type_string="Digital"
	    ;;
	1) export type_string="Analog"
	    ;;
	2) export type_string="Integer"
	    ;;
esac


{

cat << EOT

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<!--tagparser="/pcotagfilt"-->
<head>
  <meta content="text/html; charset=ISO-8859-15" http-equiv="content-type">
  <link rel="stylesheet" href="style.css" type="text/css">
  <title>Notification Editor - Variable $type_string $row</title>
  <style type="text/css">
    ul {list-style-type: none; font-size: 14px; margin: 10px; padding: 0px;}
    li {list-style-type: none; font-size: 14px; margin: 10px; padding: 0px;}
    table {font-size: 14px; font-family: Verdana, Arial, Helvetica, sans-serif;}
    form {border: 1px solid #cccccc; padding-bottom: 10px;}
  </style>
  <script type="text/javascript">

	function fast_select() {

	if ( "$type" != "0" ) {

	var thresholdv="<%getdb('notifycfg','notify_${type}${row}_threshold')%>";
	if ( thresholdv == '') {thresholdv='VAR_1'};
	if (thresholdv.slice(0,4)=="VAR_") {
	    document.getElementById("threshold"+thresholdv).selected=true;
	}

	var hysteresisv="<%getdb('notifycfg','notify_${type}${row}_hysteresis')%>";
	if (hysteresisv == '') {hysteresisv='VAR_1'};
	if (hysteresisv.slice(0,4)=="VAR_") {
	    document.getElementById("hysteresis"+hysteresisv).selected=true;
	}
	}

	var retryv="<%getdb('snmptrap','trap${type}${row}_retry')%>";
	if (retryv == "") {retryv="0"};
	document.getElementById("retry"+retryv).selected=true;

	var timeoutv="<%getdb('snmptrap','trap${type}${row}_timeout')%>";
	if (timeoutv == "") {timeoutv="1"};
	document.getElementById("timeout"+timeoutv).selected=true;

	var host1="<%getdb('snmptrap','trap${type}${row}_host1')%>";
	if (host1 == "") {host1="0"};
	document.getElementById("host1"+host1).selected=true;

	var host2="<%getdb('snmptrap','trap${type}${row}_host2')%>";
	if (host2 == "") {host2="0"};
	document.getElementById("host2"+host2).selected=true;

	var host3="<%getdb('snmptrap','trap${type}${row}_host3')%>";
	if (host3 == "") {host3="0"};
	document.getElementById("host3"+host3).selected=true;

	var host4="<%getdb('snmptrap','trap${type}${row}_host4')%>";
	if (host4 == "") {host4="0"};
	document.getElementById("host4"+host4).selected=true;

	var host5="<%getdb('snmptrap','trap${type}${row}_host5')%>";
	if (host5 == "") {host5="0"};
	document.getElementById("host5"+host5).selected=true;

	}

  	function View_Event() {

	  	fast_select();
      
	var Hysteresis="<%getdb('notifycfg','notify_${type}${row}_hysteresis')%>";
	var Threshold="<%getdb('notifycfg','notify_${type}${row}_threshold')%>";
  	var BodyType="<%getdb('ssmtp.conf','email${type}${row}_body_type')%>";

  		if (Hysteresis.slice(0,4)=="VAR_") {
  			document.getElementById("form1").hysteresis_value.disabled=true;
  			document.getElementById("form1").hysteresis_value.value="";
  			document.getElementById("form1").hysteresis_idx.disabled=false;
  			document.getElementById("form1").HystByIdx[0].checked=false;
  			document.getElementById("form1").HystByIdx[1].checked=true;
		}

  		if (Threshold.slice(0,4)=="VAR_") {
  			document.getElementById("form1").threshold_value.disabled=true;
  			document.getElementById("form1").threshold_value.value="";
  			document.getElementById("form1").threshold_idx.disabled=false;
  			document.getElementById("form1").ThreshByIdx[0].checked=false;
  			document.getElementById("form1").ThreshByIdx[1].checked=true;
		}
		
		if (BodyType=="TEXT") {
			document.getElementById("form2").BodyFromFile.disabled=true;
			document.getElementById("form2").BodyFromText.disabled=false;
			document.getElementById("form2").BodyFromFileRadio.checked=false;
			document.getElementById("form2").BodyFromTextRadio.checked=true;
		} else {
			document.getElementById("form2").BodyFromText.disabled=true;
			document.getElementById("form2").BodyFromFile.disabled=false;
			document.getElementById("form2").BodyFromTextRadio.checked=false;
			document.getElementById("form2").BodyFromFileRadio.checked=true;
		}
	}

function popitup(url,name)

{
    newwindow=window.open(url,name,'height=500, width=500,toolbar=no,status=no,menubar=no,scrollbars=yes,resizable=yes');
        if (window.focus) {newwindow.focus()}
        return false;
}

  </script>
</head>

<body style="background-color: #ffffff; margin: 0px; border: 0px" onLoad="$onl;">

<script type="text/javascript" src="pw_headtable.js"></script>
<br>

<div style="margin: 10px; padding: 10px;">

<font style="font-weight: bold; font-size: 16px">Type:</font>
<font style="font-weight: bold; font-size: 18px; color: red">
<script type="text/javascript">
    var StringType=new Array();
    StringType[0]="Digital";
    StringType[1]="Analog";
    StringType[2]="Integer";
    document.write(StringType[$type]);
</script>
</font>

<font style="font-weight: bold; font-size: 16px">Variable:</font>
<font style="font-weight: bold; font-size: 18px; color: red">$row</font>

<br><br>

<form id="form1" method="POST" action="notifycfg.cgi?type=${type}&amp;rvar=${row}">
<ul>
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000">General Configuration</li>
</ul>

<table style="padding-left: 20px">
    <tr>
        <td style="font-weight: bold; width: 200px;">Events enable</td>
        <td>
        	<input type="radio" name="?script:setdb('notifycfg','notify_${type}${row}_enabled')" value="0" checked="checked">Disabled
		<input type="radio" name="?script:setdb('notifycfg','notify_${type}${row}_enabled')" value="1" <%checkdbradio('notifycfg','notify_${type}${row}_enabled','1')%>>Enabled
        </td>
    </tr>
EOT

if [ "0" = "$type" ]; then
#### digital only

cat << EOT

    <tr>
        <td style="font-weight: bold; width: 200px">Trigger:</td>
        <td style="width: 300px">
            <select name="?script:setdb('notifycfg','notify_${type}${row}_trigger')">
                <option value="1" <%checkdbsel('notifycfg','notify_${type}${row}_trigger','1')%>>Positive</option>
                <option value="-1" <%checkdbsel('notifycfg','notify_${type}${row}_trigger','-1')%>>Negative</option>
                <option value="0" <%checkdbsel('notifycfg','notify_${type}${row}_trigger','0')%>>Positive & negative</option>
            </select>
        </td>
    </tr>
</table>

EOT

else
#### Analog and integer
cat << EOT

    <tr>
        <td style="font-weight: bold; width: 200px">Trigger</td>
        <td style="width: 300px">
            <select name="?script:setdb('notifycfg','notify_${type}${row}_trigger')">
            	<option value="1" <%checkdbsel('notifycfg','notify_${type}${row}_trigger','1')%>>Positive</option>
            	<option value="0" <%checkdbsel('notifycfg','notify_${type}${row}_trigger','0')%>>Negative</option>
            </select>
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Threshold</td>
		<td>
			<table>
				<tr>
					<td style="width: 100px">by Value</td>
					<td><input type="radio" name="ThreshByIdx" value="0" checked="checked" onclick="this.form.elements['threshold_value'].disabled=false, this.form.elements['threshold_idx'].disabled=true"></td>
					<td><input style="width: 80px" id='threshold_value' type="text" name="?script:setdb('notifycfg','notify_${type}${row}_threshold')" value="<%getdb('notifycfg','notify_${type}${row}_threshold')%>" size="10"></td>
				</tr>
				<tr>
					<td style="width: 100px">by Variable</td>
					<td><input type="radio" name="ThreshByIdx" value="1" onclick="this.form.elements['threshold_value'].disabled=true, this.form.elements['threshold_idx'].disabled=false"></td>
					<td>
						<select style="width: 80px;" id='threshold_idx' disabled name="?script:setdb('notifycfg','notify_${type}${row}_threshold')">
						<script type="text/javascript">
              for (var idx=1; idx<208; idx++) {
              document.write("\t\t<option value=\"VAR_"+idx+"\" id=\"thresholdVAR_"+idx+"\">"+idx+"<\/option>\n")
              }
            </script>
						</select>	
					</td>
				</tr>
		  </table>
    </td>
	</tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Hysteresis</td>
        <td>
           	<table>
           		<tr>
           			<td style="width: 100px">by Value</td>
           			<td><input type="radio" name="HystByIdx" value="0" checked="checked" onclick="this.form.elements['hysteresis_value'].disabled=false, this.form.elements['hysteresis_idx'].disabled=true"></td>
				<td><input style="width: 80px" id='hysteresis_value' type="text" name="?script:setdb('notifycfg','notify_${type}${row}_hysteresis')" value="<%getdb('notifycfg','notify_${type}${row}_hysteresis')%>" size="10"></td>
           		</tr>
           		<tr>
           			<td style="width: 100px">by Variable</td>
           			<td><input type="radio" name="HystByIdx" value="1" onclick="this.form.elements['hysteresis_value'].disabled=true, this.form.elements['hysteresis_idx'].disabled=false"></td>
           			<td>
           				<select style="width: 80px;" id='hysteresis_idx' disabled name="?script:setdb('notifycfg','notify_${type}${row}_hysteresis')">
						<script type="text/javascript">
              for (var idx=1; idx<208; idx++) {
              document.write("\t\t<option value=\"VAR_"+idx+"\" id=\"hysteresisVAR_"+idx+"\">"+idx+"<\/option>\n")
              }
            </script>
           				</select>	
           			</td>
           		</tr>
           	</table>
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Reenter</td>
        <td>
        	<input type="radio" name="?script:setdb('notifycfg','notify_${type}${row}_reenter')" value="0" checked="checked" >Disabled
			<input type="radio" name="?script:setdb('notifycfg','notify_${type}${row}_reenter')" value="1" <%checkdbradio('notifycfg','notify_${type}${row}_reenter','1')%>>Enabled
        </td>
    </tr>
EOT

fi

cat << EOT

</table>

<ul style="padding-top: 10px;">
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000">Event Handlers</li>
</ul>

<table style="padding-left: 20px; width: 400px">
    <tr>
        <td style="font-weight: bold; width: 200px">Trap</td>
        <td>
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_trap')" value="0" checked="checked">Disabled
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_trap')" value="1" <%checkdbradio('notifycfg','handler_${type}${row}_trap','1')%>>Enabled
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">E-mail</td>
        <td>
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_email')" value="0" checked="checked">Disabled
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_email')" value="1" <%checkdbradio('notifycfg','handler_${type}${row}_email','1')%>>Enabled
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">FTP Push</td>
        <td>
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_ftppush')" value="0" checked="checked">Disabled
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_ftppush')" value="1" <%checkdbradio('notifycfg','handler_${type}${row}_ftppush','1')%>>Enabled
        </td>
    </tr>
</table>
<!-- this tell pcod that the configuration is changed -->
<input type="hidden" name="?script:setdb('notifycfg','notify_updated')" value="1" >
<input type="hidden" name="?script:setdb('notifycfg','notify_${type}${row}_updated')" value="1" >
<br>
<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">

</form>

<form id="form3" method="POST" action="notifycfg.cgi?type=${type}&amp;var=${row}#trap">

<ul>
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000"><a style="text-decoration: none; color: black" name=trap>Trap Configuration</a></li>
</ul>

<table style="padding-left: 20px">
    <tr>
        <td style="font-weight: bold; width: 200px">Version</td>
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_version')">
                <option value="1" <%checkdbsel('snmptrap','trap${type}${row}_version','1')%>>TrapV1</option>
                <option value="2" <%checkdbsel('snmptrap','trap${type}${row}_version','2')%>>Inform (v2c)</option>
                <!--<option value="3" <%checkdbsel('snmptrap','trap${type}${row}_version','3')%>>Inform (v3)</option>-->
            </select>
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Enterprise OID</td>
        <td>
		<input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_enterpriseOID')" value="<%getdb('snmptrap','trap${type}${row}_enterpriseOID')%>">
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Retry</td>
        <td>
            <select id='retry_idx' name="?script:setdb('snmptrap','trap${type}${row}_retry')">
                <option value="0" id="retry0">NO</option>
                <option value="1" id="retry1">1</option>
                <option value="2" id="retry2">2</option>
                <option value="3" id="retry3">3</option>
                <option value="4" id="retry4">4</option>
                <option value="5" id="retry5">5</option>
                <option value="6" id="retry6">6</option>
                <option value="7" id="retry7">7</option>
                <option value="8" id="retry8">8</option>
                <option value="9" id="retry9">9</option>
                <option value="10" id="retry10">10</option>
            </select>
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Timeout</td>
        <td>
            <select id='timeout_idx' name="?script:setdb('snmptrap','trap${type}${row}_timeout')">
                    <option value="1" id="timeout1">1 sec</option>
                    <option value="2" id="timeout2">2 sec</option>
                    <option value="5" id="timeout5">5 sec</option>
                    <option value="10" id="timeout10">10 sec</option>
                    <option value="20" id="timeout20">20 sec</option>
                    <option value="30" id="timeout30">30 sec</option>
                    <option value="60" id="timeout60">1 min</option>
                    <option value="120" id="timeout120">2 min</option>
                    <option value="180" id="timeout180">3 min</option>
                    <option value="300" id="timeout300">5 min</option>
                    <option value="600" id="timeout600">10 min</option>
                    <option value="1800" id="timeout1800">30 min</option>
            </select>
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Var OID1</td>
        <td>
            <input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_varoid1')" value="<%getdb('snmptrap','trap${type}${row}_varoid1')%>">
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Var OID2</td>
        <td>
            <input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_varoid2')" value="<%getdb('snmptrap','trap${type}${row}_varoid2')%>">
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Var OID3</td>
        <td>
            <input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_varoid3')" value="<%getdb('snmptrap','trap${type}${row}_varoid3')%>">
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Var OID4</td>
        <td>
            <input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_varoid4')" value="<%getdb('snmptrap','trap${type}${row}_varoid4')%>">
        </td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Var OID5</td>
        <td>
            <input style="width: 300px" type="text" name="?script:setdb('snmptrap','trap${type}${row}_varoid5')" value="<%getdb('snmptrap','trap${type}${row}_varoid5')%>">
        </td>
    </tr>
</table>
<table style="padding-left: 20px">
    <tr>
        <td style="font-weight: bold; width: 200px">Recipients Enabled</td>
        <!--<td style="font-weight: bold">1:</td>-->
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_host1')">
		<option value="0" id="host10">- -</option>
                <option value="1" id="host11">1</option>
                <option value="2" id="host12">2</option>
                <option value="3" id="host13">3</option>
                <option value="4" id="host14">4</option>
                <option value="5" id="host15">5</option>
	</select>
		</td>
        <!--<td style="font-weight: bold">2:</td>-->
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_host2')">
		<option value="0" id="host20">- -</option>
                <option value="1" id="host21">1</option>
                <option value="2" id="host22">2</option>
                <option value="3" id="host23">3</option>
                <option value="4" id="host24">4</option>
                <option value="5" id="host25">5</option>
	</select>
		</td>
        <!--<td style="font-weight: bold">3:</td>-->
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_host3')">
		<option value="0" id="host30">- -</option>
                <option value="1" id="host31">1</option>
                <option value="2" id="host32">2</option>
                <option value="3" id="host33">3</option>
                <option value="4" id="host34">4</option>
                <option value="5" id="host35">5</option>
	</select>
		</td>
        <!--<td style="font-weight: bold">4:</td>-->
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_host4')">
		<option value="0" id="host40">- -</option>
                <option value="1" id="host41">1</option>
                <option value="2" id="host42">2</option>
                <option value="3" id="host43">3</option>
                <option value="4" id="host44">4</option>
                <option value="5" id="host45">5</option>
	</select>
		</td>
        <!--<td style="font-weight: bold">5:</td>-->
        <td>
            <select name="?script:setdb('snmptrap','trap${type}${row}_host5')">
		<option value="0" id="host50">- -</option>
                <option value="1" id="host51">1</option>
                <option value="2" id="host52">2</option>
                <option value="3" id="host53">3</option>
                <option value="4" id="host54">4</option>
                <option value="5" id="host55">5</option>
	</select>
		</td>
    </tr>
</table>
<br>
<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">

</form>

<form id="form2" method="POST" action="notifycfg.cgi?type=${type}&amp;var=${row}#email">

<ul>
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000"><a style="text-decoration: none; color: black" name=email>E-Mail Configuration</a></li>
</ul>

<table style="padding-left: 20px;">
    <tr>
        <td style="font-weight: bold; width: 200px">Subject*</td>
        <td>
			<input style="width: 300px" type="text" name="?script:setdb('ssmtp.conf','email${type}${row}_subject')" value="<%getdb('ssmtp.conf','email${type}${row}_subject')%>">
        </td>
    </tr>
    <tr>
  		<td style="font-weight: bold; width: 200px">Body</td>
        <td>
        	<table style="margin: 0px; padding: 0px;">
        		<tr>
        			<td><input style="padding: 0px; margin: 0px" id="BodyFromFileRadio" type="radio" name="?script:setdb('ssmtp.conf','email${type}${row}_body_type')" value="FILE" onclick="this.form.elements['BodyFromText'].disabled=true, this.form.elements['BodyFromFile'].disabled=false" checked="checked"></td>
        			<td style="width: 80px">From file</td>
        			<td><input style="width: 196px" id="BodyFromFile" type="text" name="?script:setdb('ssmtp.conf','email${type}${row}_body_file')" value="<%getdb('ssmtp.conf','email${type}${row}_body_file')%>"></td>
				<!--<td><a href="pw_choose_html_smtp.cgi?type=${type}&var=${row}" onclick="return popitup('pw_choose_html_smtp.cgi?type=${type}&var=${row}','filechooser')">Choose</a></td>-->
				<td><input style="margin-left: 10px; width: 100px; color:red;font-weight:bold;text-decoration: underline" type=button value="Pick" onClick="return popitup('pw_choose_html_smtp.cgi?type=${type}&var=${row}','filechoser')"></td>
        		</tr>
	        	<tr>
    	        	<td><input style="padding: 0px; margin: 0px" id="BodyFromTextRadio" type="radio" name="?script:setdb('ssmtp.conf','email${type}${row}_body_type')" value="TEXT" onclick="this.form.elements['BodyFromFile'].disabled=true, this.form.elements['BodyFromText'].disabled=false" <%checkdbradio('ssmtp.conf','email${type}${row}_body_type','TEXT')%>></td>
    	        	<td style="width: 80px">From text</td>
    	        	<td><input style="width: 196px" id="BodyFromText" type="text" name="?script:setdb('ssmtp.conf','email${type}${row}_body_text')" value="<%getdb('ssmtp.conf','email${type}${row}_body_text')%>"></td>
				</tr>
			</table>
		</td>
    </tr>
    <tr>
        <td style="font-weight: bold; width: 200px">Enable Attachment</td>
        <td>
            <input type="radio" name="?script:setdb('ssmtp.conf','email${type}${row}_attach')" value="NO" checked="checked">Disabled
            <input type="radio" name="?script:setdb('ssmtp.conf','email${type}${row}_attach')" value="YES" <%checkdbradio('ssmtp.conf','email${type}${row}_attach','YES')%>>Enabled
        </td>
    </tr>
</table>

<br>

<ul style="margin-left: 20px;">
    <li style="font-size: 10px; font-weight: bold">(*) Adding "(date)" to the initial part of "Subject", pCOWeb will substitute (date) with the pCOWeb's system clock date.<br> Using <i>(date) Logger</i> will give, as examples, "2006-07-27 Logger" where 2006 is the year, 7 the month, 27 the day.</li>
</ul>

<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">

</form>

</div>

<div style="padding-bottom: 10px; border: 0px none 0; vertical-align: bottom; text-align: center; text-decoration: none;">
  <a href="javascript:window.close();">Close Window</a>
</div>
</body>
</html>
EOT

} | /usr/local/root/pcotagfilt
