#!/bin/bash

echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"

cat pw_plugins.inc.html

tempdir="/initrd/tmp"

plugintempdir="$tempdir/plug-$RANDOM"
plugininstdir="$tempdir/install_plugin"
pluginprefix="install-plug*"

zipfile="/tmp/data.zip"

cmd=${QUERY_STRING%"="*}

echo "<div style=\"padding-left: 20px\">"

if [ "$cmd" = "plugin" ]; then
    pluginpath="${QUERY_STRING#*"="}"
    if [ $pluginpath = "zip" ]; then
        echo "<div style=\"color: black\">Upload plugin report:</div><pre>"
        ./upload.cgi Z
        COMMAND_ERROR=$?
        echo "</pre>"

        if [ $COMMAND_ERROR = 0 ]; then
            echo "<div style=\"color: black\">Unzip plugin report:</div><pre>"
            mkdir $plugintempdir
            unzip -o $zipfile "$pluginprefix" -d $plugintempdir
            COMMAND_ERROR=$?
            rm $zipfile

            if [ $COMMAND_ERROR = 0 ]; then
                pluginpath=$(find $plugintempdir -maxdepth 1 -type d -name "$pluginprefix" 2>/dev/null)
                if [ "$pluginpath" = "" ]; then
                    echo "No plugin found in archive"
                    COMMAND_ERROR=1
                else
                    mv -f $pluginpath $plugininstdir
                fi
            fi

            rm -rf $plugintempdir
            echo "</pre>"
        fi
    else
        cp -a $pluginpath $plugininstdir
        echo $pluginpath > $plugininstdir/dir_to_remove
        COMMAND_ERROR=0
    fi
    if [ $COMMAND_ERROR = 0 ]; then
        cp /usr/local/root/config/install-plugin.sh $plugininstdir/install.sh
        echo "installplugin" > /dev/httpsvc
        cat /dev/httpsvcrep
    fi
fi

if [ "$cmd" = "uninstall" ]; then
    script_uninstall="${QUERY_STRING#*"="}"
    mv -f $script_uninstall $tempdir/uninstall_script.sh
    echo "uninstall_plugin" > /dev/httpsvc
    cat /dev/httpsvcrep
fi

echo "
<br>
<div>Back to the <a href=scanplugins.cgi style=\"color: red; display: inline; padding: 0px\">plugins</a> page</div>
</div>
</div>
<script type=\"text/javascript\" src=\"pw_footer.js\"></script>
</body>
</html>
"
exit 0
